tt_spec_bprop(library call)

NAME
tt_spec_bprop — retrieve the ith value of a property

SYNOPSIS

#include &<Tt/tt_c.h>
Tt_status tt_spec_bprop(
const char *objid,
const char *propname,
int i,
unsigned char **value,
int *length);

DESCRIPTION

The tt_spec_bprop function retrieves the ith value of the specified property.

The objid argument is the identifier of the object involved in this operation. The propname argument is the name of the property whose value is to be retrieved. The name must be less than 64 characters. The i argument is the item of the list for which a value is to be obtained. The list numbering begins with zero. The value argument is the address of a character pointer to which the ToolTalk service is to point a string that contains the contents of the spec's property. If there are i values or fewer, the pointer is set to zero. The length argument is the address of an integer to which the ToolTalk service is to set the length of the value in bytes.

RETURN VALUE

Upon successful completion, the tt_spec_bprop function returns the status of the operation as one of the following Tt_status values:

TT_OK
    The operation completed successfully.

TT_ERR_NOMP
    The ttsession(1) process is not running and the ToolTalk service cannot restart it.

TT_ERR_NUM
    The integer value passed was invalid (out of range).

TT_ERR_OBJID
    The objid passed to the ToolTalk service does not reference an existing object spec.

TT_ERR_PROPNAME
    The specified property name is syntactically invalid.

SEE ALSO

Tt/tt_c.h - Tttt_c(5).